﻿"use strict";

var log = require('../util/log');
var mysql_wlyy = require("../repository/mysql_wlyy");
var mysql_im = require("../repository/mysql_im");

function isUserExist(to_uid, handler) {
	mysql_wlyy.execQuery({
		"sql": "SELECT count(*) from wlyy_doctor WHERE code=?",
		"args": [to_uid],
		"handler": handler
	});
}

function saveP2PMsg(to_uid, from_uid, type, content, handler) {
	mysql_im.execQuery({
		"sql": "INSERT INTO msg_p2p (to_uid,from_uid,type,content) VALUES (?,?,?,?)",
		"args": [to_uid, from_uid, type, content],
		"handler": handler
	});
}

function getP2PMsg(to_uid, from_uid, start, count, handler) {
	var sql = "SELECT to_uid,from_uid,type,content,timestamp from msg_p2p WHERE (to_uid=? AND from_uid=?) OR (to_uid=? AND from_uid=?) GROUP BY timestamp DESC LIMIT ";
	sql += start;
	sql += ",";
	sql += count;
	mysql_im.execQuery({
		"sql": sql,
		"args": [to_uid, from_uid, from_uid, to_uid],
		"handler": handler
	});
}

exports.isUserExist = isUserExist;
exports.saveP2PMsg = saveP2PMsg;
exports.getP2PMsg = getP2PMsg;
